Subject: bug#25841: 25.2; Highlighting not being updated in some modes.

From: Glenn Morris <[email-masked]>
Date: Wed, 22 Feb 2017 17:02:47 -0500

Paul Whittaker wrote:

> In major modes that do not use syntax highlighting, the highlighting
> from highlight-regexp is not updated when the buffer content is changed.
> The highlighting appears to be static, based only on what was visible at
> the time that highlight-regexp was called.

This is the documented way highlight-regexp behaves:

    Use Font lock mode, if enabled, to highlight REGEXP.  Otherwise,
    use overlays for highlighting.  If overlays are used, the
    highlighting will not update as you type.